Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::PolicyTypeSeq_var Class Reference

`#include <Policy_ForwardC.h>`

List of all members.

## Public Methods
| PolicyTypeSeq_var (void)
| PolicyTypeSeq_var (PolicyTypeSeq *)
| PolicyTypeSeq_var (const PolicyTypeSeq_var &)
| PolicyTypeSeq_var (const PolicyTypeSeq &)
| ~PolicyTypeSeq_var (void)
PolicyTypeSeq_var & | operator= (PolicyTypeSeq *)
PolicyTypeSeq_var & | operator= (const PolicyTypeSeq_var &)
PolicyTypeSeq_var & | operator= (const PolicyTypeSeq &)
PolicyTypeSeq * | operator-> (void)
const PolicyTypeSeq * | operator-> (void) const
| operator const PolicyTypeSeq & () const
| operator PolicyTypeSeq & ()
| operator PolicyTypeSeq & () const
PolicyType & | operator[] (CORBA::ULong index)
const PolicyType & | operator[] (CORBA::ULong index) const
const PolicyTypeSeq & | in (void) const
PolicyTypeSeq & | inout (void)
PolicyTypeSeq *& | out (void)
PolicyTypeSeq * | _retn (void)
PolicyTypeSeq * | ptr (void) const
## Private Attributes
PolicyTypeSeq * | ptr_

## Constructor & Destructor Documentation

ACE_INLINE CORBA::PolicyTypeSeq_var::PolicyTypeSeq_var | ( | void |  | ) |

ACE_INLINE CORBA::PolicyTypeSeq_var::PolicyTypeSeq_var | ( | PolicyTypeSeq * | p | ) |

CORBA::PolicyTypeSeq_var::PolicyTypeSeq_var | ( | const PolicyTypeSeq_var & |  | ) |

CORBA::PolicyTypeSeq_var::PolicyTypeSeq_var | ( | const PolicyTypeSeq & |  | ) |

ACE_INLINE CORBA::PolicyTypeSeq_var::~PolicyTypeSeq_var | ( | void |  | ) |

## Member Function Documentation

PolicyTypeSeq* CORBA::PolicyTypeSeq_var::_retn | ( | void |  | ) |

const PolicyTypeSeq& CORBA::PolicyTypeSeq_var::in | ( | void |  | ) | const

PolicyTypeSeq& CORBA::PolicyTypeSeq_var::inout | ( | void |  | ) |

CORBA::PolicyTypeSeq_var::operator const PolicyTypeSeq & | ( |  | ) | const

CORBA::PolicyTypeSeq_var::operator PolicyTypeSeq & | ( |  | ) | const

CORBA::PolicyTypeSeq_var::operator PolicyTypeSeq & | ( |  | ) |

ACE_INLINE const ::CORBA::PolicyTypeSeq * CORBA::PolicyTypeSeq_var::operator-> | ( | void |  | ) | const

ACE_INLINE::CORBA::PolicyTypeSeq * CORBA::PolicyTypeSeq_var::operator-> | ( | void |  | ) |

PolicyTypeSeq_var& CORBA::PolicyTypeSeq_var::operator= | ( | const PolicyTypeSeq & |  | ) |

PolicyTypeSeq_var& CORBA::PolicyTypeSeq_var::operator= | ( | const PolicyTypeSeq_var & |  | ) |

ACE_INLINE CORBA::PolicyTypeSeq_var & CORBA::PolicyTypeSeq_var::operator= | ( | PolicyTypeSeq * | p | ) |

const PolicyType& CORBA::PolicyTypeSeq_var::operator[] | ( | CORBA::ULong | index | ) | const

PolicyType& CORBA::PolicyTypeSeq_var::operator[] | ( | CORBA::ULong | index | ) |

PolicyTypeSeq*& CORBA::PolicyTypeSeq_var::out | ( | void |  | ) |

PolicyTypeSeq* CORBA::PolicyTypeSeq_var::ptr | ( | void |  | ) | const

## Member Data Documentation

PolicyTypeSeq* CORBA::PolicyTypeSeq_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- Policy_ForwardC.h
- Policy_ForwardC.i